## libdbi-drivers 0.9.0

=== tests/cgreen/CMakeLists.txt ===
project(cgreen C)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})
set(APPLICATION_VERSION "1.0.0-beta2")
set(LIBRARY_VERSION "1.0.0")
set(LIBRARY_SOVERSION "1")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(DefineCPackConfig)

# add macros
include(MacroAddPlugin)
include(MacroCopyFile)

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

if (WIN32)
  set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
  set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
  if (UNIX) # == cygwin!
    option(USE_W32API "Build using Windows API instead of *nix" OFF)
  endif (UNIX)
endif (WIN32)

# check subdirectories
add_subdirectory(doc)
add_subdirectory(include)
add_subdirectory(src)
# add_subdirectory(samples)

if (WITH_UNIT_TESTS)
  include(MacroAddUnitTest)
  add_subdirectory(tests)
endif (WITH_UNIT_TESTS)

#

=== tests/cgreen/samples/CMakeLists.txt ===
include_directories(${CGREEN_PUBLIC_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})
add_executable(sample sample.c)

=== tests/cgreen/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/marcus/projects/cgreen

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/marcus/projects/cgreen

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"binaries\" \"headers\" \"libraries\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cpack --config /home/marcus/projects/cgreen/CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	cd /home/marcus/projects/cgreen/tests && /usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /home/marcus/projects/cgreen && $(CMAKE_COMMAND) -E cmake_progress_start /home/marcus/projects/cgreen/CMakeFiles /home/marcus/projects/cgreen/tests/CMakeFiles/progress.make
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/marcus/projects/cgreen/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/marcus/projects/cgreen && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/test_cgreen.dir/rule:
	cd /home/marcus/projects/cgreen && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/test_cgreen.dir/rule
.PHONY : tests/CMakeFiles/test_cgreen.dir/rule

# Convenience name for target.
test_cgreen: tests/CMakeFiles/test_cgreen.dir/rule
.PHONY : test_cgreen

# fast build rule for target.
test_cgreen/fast:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/build
.PHONY : test_cgreen/fast

all_tests.o: all_tests.c.o
.PHONY : all_tests.o

# target to build an object file
all_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.o
.PHONY : all_tests.c.o

all_tests.i: all_tests.c.i
.PHONY : all_tests.i

# target to preprocess a source file
all_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.i
.PHONY : all_tests.c.i

all_tests.s: all_tests.c.s
.PHONY : all_tests.s

# target to generate assembly for a file
all_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/all_tests.c.s
.PHONY : all_tests.c.s

assertion_tests.o: assertion_tests.c.o
.PHONY : assertion_tests.o

# target to build an object file
assertion_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.o
.PHONY : assertion_tests.c.o

assertion_tests.i: assertion_tests.c.i
.PHONY : assertion_tests.i

# target to preprocess a source file
assertion_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.i
.PHONY : assertion_tests.c.i

assertion_tests.s: assertion_tests.c.s
.PHONY : assertion_tests.s

# target to generate assembly for a file
assertion_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/assertion_tests.c.s
.PHONY : assertion_tests.c.s

breadcrumb_tests.o: breadcrumb_tests.c.o
.PHONY : breadcrumb_tests.o

# target to build an object file
breadcrumb_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.o
.PHONY : breadcrumb_tests.c.o

breadcrumb_tests.i: breadcrumb_tests.c.i
.PHONY : breadcrumb_tests.i

# target to preprocess a source file
breadcrumb_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.i
.PHONY : breadcrumb_tests.c.i

breadcrumb_tests.s: breadcrumb_tests.c.s
.PHONY : breadcrumb_tests.s

# target to generate assembly for a file
breadcrumb_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/breadcrumb_tests.c.s
.PHONY : breadcrumb_tests.c.s

collector_tests.o: collector_tests.c.o
.PHONY : collector_tests.o

# target to build an object file
collector_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.o
.PHONY : collector_tests.c.o

collector_tests.i: collector_tests.c.i
.PHONY : collector_tests.i

# target to preprocess a source file
collector_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.i
.PHONY : collector_tests.c.i

collector_tests.s: collector_tests.c.s
.PHONY : collector_tests.s

# target to generate assembly for a file
collector_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/collector_tests.c.s
.PHONY : collector_tests.c.s

constraint_tests.o: constraint_tests.c.o
.PHONY : constraint_tests.o

# target to build an object file
constraint_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.o
.PHONY : constraint_tests.c.o

constraint_tests.i: constraint_tests.c.i
.PHONY : constraint_tests.i

# target to preprocess a source file
constraint_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.i
.PHONY : constraint_tests.c.i

constraint_tests.s: constraint_tests.c.s
.PHONY : constraint_tests.s

# target to generate assembly for a file
constraint_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/constraint_tests.c.s
.PHONY : constraint_tests.c.s

cute_reporter_tests.o: cute_reporter_tests.c.o
.PHONY : cute_reporter_tests.o

# target to build an object file
cute_reporter_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.o
.PHONY : cute_reporter_tests.c.o

cute_reporter_tests.i: cute_reporter_tests.c.i
.PHONY : cute_reporter_tests.i

# target to preprocess a source file
cute_reporter_tests.c.i:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.i
.PHONY : cute_reporter_tests.c.i

cute_reporter_tests.s: cute_reporter_tests.c.s
.PHONY : cute_reporter_tests.s

# target to generate assembly for a file
cute_reporter_tests.c.s:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/cute_reporter_tests.c.s
.PHONY : cute_reporter_tests.c.s

messaging_tests.o: messaging_tests.c.o
.PHONY : messaging_tests.o

# target to build an object file
messaging_tests.c.o:
	cd /home/marcus/projects/cgreen && $(MAKE) -f tests/CMakeFiles/test_cgreen.dir/build.make tests/CMakeFiles/test_cgreen.dir/messaging_tests.c.o
.PHONY : messaging_tests.c.o

messaging_tests.i: messaging_tests.c.i
.PHONY : messaging_tests.i

# target to preprocess a source file
messaging_tests.c.i:

=== tests/cgreen/contrib/SCons/SConstruct ===
env = Environment()

# Add the cgreen headers to the include path
env.Append(CPPPATH=['../../include', ])

# Build the cgreen library
cgreendir = '../../src/'
cgreenfiles = """unit.c messaging.c breadcrumb.c reporter.c 
                 assertions.c vector.c mocks.c constraint.c
                 parameters.c text_reporter.c""".split()
cgreensources = ['../../src/'+f for f in cgreenfiles]
cgreenlib = env.StaticLibrary('cgreen', cgreensources)

#Build our code to be tested
env.Append(CPPPATH=['include'])
mainlib = env.StaticLibrary('main', env.Glob('src/*.c'))

for test in env.Glob('tests/*.c'):
  testprog = env.Program(test, LIBS=[cgreenlib, mainlib])

  # This is a nasty little hack here.
  # We run the test twice, the first time is so we can see the output on the
  # console, and get the results logged. Unfortunately it will not cause the
  # build to stop on test failures since the result of the command is the
  # return value of tee, not the tests. So we run it again to catch the 
  # possibly failed return value ... those tests better be repeatable!
  env.Command(testprog[0].path+'.results', testprog,
              '$SOURCE 2>&1 | tee $TARGET')
  env.Command(testprog[0].path+'.results_', testprog,
              '$SOURCE > $TARGET 2>&1 ')

=== tests/cgreen/include/cgreen/CMakeLists.txt ===
project(cgreen-headers C)

set(cgreen_HDRS
  cgreen.h
  unit.h
  reporter.h
  text_reporter.h
  cute_reporter.h
  cdash_reporter.h
  assertions.h
  constraint.h
  memory.h
  mocks.h
)

install(
  FILES
    ${cgreen_HDRS}
  DESTINATION
    ${INCLUDE_INSTALL_DIR}/${APPLICATION_NAME}
  COMPONENT
    headers
)

## libdbi-drivers 0.8.3-1+s

=== debian/changelog ===
libdbi-drivers (0.8.3-1+s-5) unstable; urgency=low

  * Now escaping the username when doing the ALTER USER before running the
  pgsql unit tests, which fixes the FTBFS if the unix user running the tests
  is called "user" (Closes: #674315).

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 May 2012 16:52:30 +0000

libdbi-drivers (0.8.3-1+s-4) unstable; urgency=low

  * Make sure the PGSQL server is killed after tests suite (Closes: #673086),
  thanks to Andreas Barth <aba@ayous.org> for reporting.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 May 2012 08:35:07 +0000

libdbi-drivers (0.8.3-1+s-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pick up multi-arch libraries for MySQL (Closes: #672928)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 14 May 2012 23:06:51 +0100

libdbi-drivers (0.8.3-1+s-3) unstable; urgency=low

  [ Thomas Goirand ]
  * Switched debian/copyright to format 1.0.
  * Added a debian/gbp.conf.
  * Re-activated the pgsql tests since they are now working agains.
  * Implemented DEB_BUILD_OPTIONS=nocheck in debian/rules.
  * Restores config.{guess,sub} on the clean: target.

  [ Jari Aalto <jari.aalto@cante.net> ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668342).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
  * Add build-arch and build-indep targets to rules file.
  * Add multiarch support (FTBFS; Closes: #650044), patch
    thanks to Clint Byrum <clint@ubuntu.com>.
  * Fix temporary-debhelper-file (Lintian) by cleaning debian/*.log.
  * Fix copyright-refers-to-symlink-license (Lintian).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Apr 2012 14:50:53 +0000

libdbi-drivers (0.8.3-1+s-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * A bug in the configure script causes --enable-libdbi to actually *disable*
    linking drivers with the library. However, since linking is now the
    default, this option is not needed anymore. Remove it from debian/rules
    (closes: #634619, #324937).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 27 Jul 2011 19:56:38 +0200

libdbi-drivers (0.8.3-1+s-2) unstable; urgency=low

  * Removed explicit dependency on libdbi0 (gosh, I don't get even how it could
  be there, since it should be computed by shlibs...).
  * Build-Depends on libdbi-dev (>= 0.8.4-5).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2011 20:55:26 +0000

libdbi-drivers (0.8.3-1+s-1) unstable; urgency=low

  * New upstream version.
  * Now using my @debian.org maintainer email.
  * Now calling ./autogen.sh and depending on libtool and automake.
  * Standards-Version: is now 3.9.1.
  * Now depends on debhelper 7.
  * Added Vcs-Browser: URL where I'll keep the Debian package source.
  * Added debian/source/format file (still using the new 1.0 format as
    otherwise the clean target is a lot of head akes).
  * Using dh_prep instead of dh_clean -k
  * Removed the duplicate section fields.
  * Now Build-Depends: on libdbi0-dev (>= 0.8.3)
  * Added missing ${misc:Depends}.
  * Added the use of the internal libdbi-drivers tests when building, which
    means that we also Build-Depends on: mysql-server, mysql-client,
    postgresql, postgresql-client, locales-all | language-pack-en
  * Added a dpatch that removes the ISO8859-1 tests with postgress, so that the
    rest of the PGSQL tests continues to work.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Aug 2010 07:09:42 +0800

libdbi-drivers (0.8.2-1-4.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's approval.
  * High urgency upload for RC bugfix.
  * Pass --freetds-inc-dir to configure, to bypass the ridiculous upstream
    AC_FIND_FILE() checks for files that *aren't used during the build*;
    fixes a build failure with FreeTDS 0.82.  Closes: #493349.

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Aug 2008 09:00:11 +0000

libdbi-drivers (0.8.2-1-4) unstable; urgency=low

  * Updated the dbd_pgsql.c so it doesn't conflicts with the declaration of
    pg_encoding_to_char() that is now declared in libpq-fe.h: it was not
    declared in previous API (Closes: #462511)
  * Added (>= 8.3~rc2-1+b1) for the libpq-dev build-depends so there is no risk
    of FTBFS with the earlier version of the postgresql lib.
  * Bumped Standards-Version to 3.7.3
  * Fixed debian/*.doc-base indentation, and changed from Apps/Programming to
    Applications/Programming, as it has to be now.
  * Bumped compat level to 6.

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 27 Jan 2008 08:53:16 +0000

libdbi-drivers (0.8.2-1-3) unstable; urgency=low

  * Added --enable-libdbi to use -ldbi at linking time as Linux only option
    so there is no dlopen() problem any more (Closes: #324937)

 -- Thomas Goirand <thomas@goirand.fr>  Thu, 06 Dec 2007 05:00:09 +0000

libdbi-drivers (0.8.2-1-2) unstable; urgency=low

  * New maintainer (Closes: #444425)
  * Now the -g -Wall are always added as compil flags
  * Homepage: field should not have <> around the URL
  * Now managing updates of config.sub and config.guess correctly
  * custom nostrip handling isn't needed since dh_strip handles it properly
  * Reviewed the debian/copyright for accuracy

 -- Thomas Goirand <thomas@goirand.fr>  Mon, 26 Nov 2007 06:09:08 +0000

libdbi-drivers (0.8.2-1-1) unstable; urgency=low

  * New upstream release
  * I'm taking over maintainance of this orphaned package (Closes: #444425)
  * Not using dh_movefile anymore
  * Added support for packaging the following drivers: sqlite3, freetds
  (Sybase and MS SQL support). Updated (build) dependencies.
  * Added a watch file
  * Switched to debhelper >= 5
  * Compat is now 5
  * Cleaned debian/rules
  * dh_shlibdeps is now working as it should

 -- Thomas Goirand <thomas@goirand.fr>  Sun, 30 Sep 2007 12:02:13 +0000

libdbi-drivers (0.7.1-3.1) unstable; urgency=low

  * NMU
  * Fix emplacement of pgsql include files (Closes: #322853)
  * Upgrade to the latest mysql build-dependency (Closes: #356739)
  * Switch to debhelper >> 4


=== debian/control ===
Source: libdbi-drivers
Section: libs
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libdbi-dev (>= 0.8.4-5), libmysqlclient-dev (>= 5.5), libpq-dev (>= 8.3~rc2-1+b1), libsqlite0-dev, libsqlite3-dev, freetds-dev, automake, libtool, mysql-server (>= 5.5), mysql-client (>= 5.5), postgresql, postgresql-client, locales-all | language-pack-en, dh-autoreconf
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=users/zigo/libdbi-drivers.git
Vcs-Git: http://git.debian.org/git/users/zigo/libdbi-drivers.git
Homepage: http://libdbi.sourceforge.net/

Package: libdbd-sqlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SQLite database driver for libdbi
 This driver provides support for serverless SQLite databases through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-sqlite3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SQLite3 database driver for libdbi
 This driver provides support for serverless SQLite3 databases through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MySQL database server driver for libdbi
 This driver provides connectivity to MySQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL database server driver for libdbi
 This driver provides connectivity to PostgreSQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-freetds
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Freetds database server driver for libdbi
 This driver provides connectivity to MS SQL Server or Sybase database
 servers through the libdbi Database Independent Abstraction Layer using
 Freetds. Switching a program's driver does not require recompilation or
 rewriting source code.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
CFLAGS += -g -Wall

config.status:
	dh_testdir
	dh_autoreconf
	if [ ! -d debian/upstream-config-sub-and-guess ] ; then \
		mkdir debian/upstream-config-sub-and-guess ; \
		cp config.sub debian/upstream-config-sub-and-guess ; \
		cp config.guess debian/upstream-config-sub-and-guess ; \
	fi
	# upgrade to more recent version before starting the configure process
	cp /usr/share/misc/config.sub .
	cp /usr/share/misc/config.guess .
	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--with-pgsql \
		--with-mysql \
		--with-mysql-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--with-mysql-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-sqlite \
		--with-sqlite-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--with-sqlite-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-sqlite3 \
		--with-sqlite3-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
		--with-sqlite3-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-freetds \
		-with-freetds-dir=/usr \
		--enable-docs
# This is for the moment removed until the upstream fixes the problems with
# the new API: --with-firebird


build-arch: build
build-indep: build

build: build-stamp test-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

mytst:
	ls $(MYSQLTMPDIR)


test-stamp: build-stamp
	$(MAKE) -C tests test_dbi

	# Testing sqlite and sqlite3
	mkdir -p $(CURDIR)/debian/sqlite3tests
	( echo ./drivers/sqlite3/.libs; \
		echo sqlite3; \
		echo $(CURDIR)/debian/sqlite3tests; \
		echo libdbitest; ) | ./tests/test_dbi
	rm -rf $(CURDIR)/debian/sqlite3tests

	mkdir -p $(CURDIR)/debian/sqlitetests
	( echo ./drivers/sqlite/.libs; \
		echo sqlite; \
		echo $(CURDIR)/debian/sqlitetests; \
		echo libdbitest; ) | ./tests/test_dbi
	rm -rf $(CURDIR)/debian/sqlitetests

	# Testing MySQL and Postgress
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	chmod +x ./debian/test_mysql.sh ./debian/test_pgsql.sh
	./debian/test_mysql.sh
	./debian/test_pgsql.sh
	touch test-stamp
endif

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp test-stamp
	rm -f libdbd-sqlite3.debhelper.log
	[ ! -f Makefile ] || $(MAKE) distclean
	if [ -d debian/upstream-config-sub-and-guess ] ; then \
		cp debian/upstream-config-sub-and-guess/config.sub . ; \
		cp debian/upstream-config-sub-and-guess/config.guess . ; \
		rm -rf debian/upstream-config-sub-and-guess ; \
	fi

	rm -f config.log doc/include/Makefile doc/Makefile
	dh_clean
	dh_autoreconf_clean
	# We need to deapply-all here, because of dh_autoreconf_clean that
	# might do the opposite work as expected.
	rm -f debian/*.log

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/tmp -name '*.la'`

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_install
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -X .pdf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libdbi-drivers 0.9.0

=== debian/changelog ===
libdbi-drivers (0.9.0-9) unstable; urgency=medium

  * Fix MariaDB test failure due to unsupported time zone literals
    (closes: #952744).

  [ Robie Basak <robie.basak@ubuntu.com> ]
  * d/p/test_exception_failure.patch: make test exceptions fail the test
    suite and thus the build (closes: #952743).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Feb 2020 17:08:27 +0000

libdbi-drivers (0.9.0-8) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * debian/control, debian/rules: drop libdbi-sqlite
  * debian/buildtests: test suite to verify drivers are usable when
    libdbi is loaded via dlopen()
  * debian/copyright: adding copyright attribution for buildtests dir


 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 08 Feb 2020 08:47:26 +0000

libdbi-drivers (0.9.0-7) unstable; urgency=medium

  * Update PostgreSQL float precision test (closes: #950164).
  * Update watch file.
  * Update debhelper level to 12 .
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Feb 2020 21:26:12 +0000

libdbi-drivers (0.9.0-6) unstable; urgency=medium

  * Fix copyright file order.
  * Disable Vcs-* fields for now.
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency,
    - remove autotools-dev build dependency.
  * Update Standards-Version to 4.1.4 .
  * Sync with Ubuntu.

  [ Adam Conrad <adconrad@debian.org> ]
  * Upstream cherrypick to fix FTFBS with freetds 1.0 (closes: #891672).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 23 Apr 2018 15:46:23 +0000

libdbi-drivers (0.9.0-5) unstable; urgency=low

  * Switch to build depend on the metapackages default-libmysqlclient-dev ,
    default-mysql-client and default-mysql-server (closes: #845863).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Nov 2016 11:12:30 +0000

libdbi-drivers (0.9.0-4) unstable; urgency=medium

  * dbd_sqlite3: resolve a stack buffer overflow (closes: #824067).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 12 May 2016 16:43:16 +0000

libdbi-drivers (0.9.0-3) unstable; urgency=medium

  * Disable some tests that is a test suite problems (Closes: #737126)
  * Fix FTBFS on Hurd: add libpthread to tests/Makefile.am,
    thanks to Svante Signell for the patch (Closes: #737009)

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 04 Apr 2014 16:36:28 +0700

libdbi-drivers (0.9.0-2) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Multi-arch package (closes: #736656).

  [ Prach Pongpanich ]
  * Remove obsolete debian/*.dir files.
  * Disable all tests if asked to via DEB_BUILD_OPTIONS .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 28 Jan 2014 21:58:15 +0100

libdbi-drivers (0.9.0-1) unstable; urgency=medium

  [ Laszlo Boszormenyi ]
  * Add debian/patches:
    + fix_sqlite3_lib_name.patch
    + mysql_h_path.patch
  * Update run tests script.
  * Fix building as root.
  * Build with multi-arched libdbi.
  * Correct debian/copyright .

  [ Prach Pongpanich ]
  * Imported Upstream version 0.9.0
  * Adopt package (Closes: #635658)
  * Update d/gbp.conf and use pristine-tar by default
  * Add openjade and docbook-dsssl in Build-depends
  * Enable hardened build flags
  * Bump Standards-Version to 3.9.5
  * Change Vcs fields to point to collab-maint

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 20 Jan 2014 21:24:26 +0100

=== debian/control ===
Source: libdbi-drivers
Section: libs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Uploaders: Prach Pongpanich <prachpub@gmail.com>
Build-Depends: automake,
               debhelper-compat (= 12),
               docbook-dsssl,
               freetds-dev,
               libdbi-dev (>= 0.9.0),
               default-libmysqlclient-dev,
               libpq-dev (>= 8.3~rc2-1+b1),
               libsqlite3-dev,
               libtool,
               locales-all | language-pack-en,
               default-mysql-client,
               default-mysql-server,
               openjade,
               postgresql,
               postgresql-client
Standards-Version: 4.5.0
#Vcs-Git: git://anonscm.debian.org/collab-maint/libdbi-drivers.git
#Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libdbi-drivers.git
Homepage: http://libdbi.sourceforge.net/

Package: libdbd-sqlite3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: SQLite3 database driver for libdbi
 This driver provides support for serverless SQLite3 databases through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: MySQL database server driver for libdbi
 This driver provides connectivity to MySQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-pgsql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: PostgreSQL database server driver for libdbi
 This driver provides connectivity to PostgreSQL database servers through the
 libdbi Database Independent Abstraction Layer. Switching a program's driver
 does not require recompilation or rewriting source code.

Package: libdbd-freetds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Freetds database server driver for libdbi
 This driver provides connectivity to MS SQL Server or Sybase database
 servers through the libdbi Database Independent Abstraction Layer using
 Freetds. Switching a program's driver does not require recompilation or
 rewriting source code.

=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,25 @@
 #!/usr/bin/make -f
+# -*- Makefile -*-
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+relro
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 #ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 #	CFLAGS += -g
 #endif
 CFLAGS += -g -Wall
+
+DESTDIR=$(CURDIR)/debian/tmp
 
 config.status:
 	dh_testdir
@@ -27,19 +34,18 @@
 	cp /usr/share/misc/config.guess .
 	./autogen.sh
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
+		--with-dbi-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--prefix=/usr \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ \
 		--with-pgsql \
 		--with-mysql \
 		--with-mysql-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 		--with-mysql-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-sqlite \
-		--with-sqlite-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
-		--with-sqlite-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-sqlite3 \
 		--with-sqlite3-incdir=/usr/include/$(DEB_HOST_MULTIARCH) \
 		--with-sqlite3-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--with-freetds \
-		-with-freetds-dir=/usr \
+		--with-freetds-dir=/usr \
 		--enable-docs
 # This is for the moment removed until the upstream fixes the problems with
 # the new API: --with-firebird
@@ -61,28 +67,28 @@
 
 
 test-stamp: build-stamp
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C tests test_dbi
+	
+	$(MAKE) -C debian/buildtests
 
-	# Testing sqlite and sqlite3
+	# Testing sqlite3
 	mkdir -p $(CURDIR)/debian/sqlite3tests
-	( echo ./drivers/sqlite3/.libs; \
+	( echo i; \
+		echo n; \
+		echo ./drivers/sqlite3/.libs; \
 		echo sqlite3; \
 		echo $(CURDIR)/debian/sqlite3tests; \
 		echo libdbitest; ) | ./tests/test_dbi
 	rm -rf $(CURDIR)/debian/sqlite3tests
 
-	mkdir -p $(CURDIR)/debian/sqlitetests
-	( echo ./drivers/sqlite/.libs; \
-		echo sqlite; \
-		echo $(CURDIR)/debian/sqlitetests; \
-		echo libdbitest; ) | ./tests/test_dbi
-	rm -rf $(CURDIR)/debian/sqlitetests
-
 	# Testing MySQL and Postgress
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	chmod +x ./debian/test_mysql.sh ./debian/test_pgsql.sh
+	chmod +x ./debian/test_mysql.sh
 	./debian/test_mysql.sh
+ifneq (gnu,$(DEB_HOST_GNU_SYSTEM))
+	chmod +x ./debian/test_pgsql.sh
 	./debian/test_pgsql.sh
+endif
 	touch test-stamp
 endif
 
@@ -100,6 +106,7 @@
 
 	rm -f config.log doc/include/Makefile doc/Makefile
 	dh_clean
+	$(MAKE) -C debian/buildtests clean
 	dh_autoreconf_clean
 	# We need to deapply-all here, because of dh_autoreconf_clean that
 	# might do the opposite work as expected.
@@ -111,8 +118,10 @@
 	dh_prep
 	dh_installdirs
 
-	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
-	sed -i "/dependency_libs/ s/'.*'/''/" `find $(CURDIR)/debian/tmp -name '*.la'`
+	$(MAKE) install prefix=$(DESTDIR)/usr \
+		libdir=$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/dbd/
+	sed -i "/dependency_libs/ s/'.*'/''/" \
+		`find $(DESTDIR)/usr/lib/ -name '*.la'`
 
 binary-indep: build install
